<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="uTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        form {
            border : 1px solid #ddd;
            padding : 5px;
            width : 225px;
            background : #efefef;
        }
        label {
            display : block;
            margin-top : 5px;
        }
    </style>
</head>
<body>
    <div id="app">
        <form @submit.prevent="submitForm()" >
            <p v-if="error.length">
               <b>Please correct the following errors :</b>
                <ul>
                    <li v-for="error in error">{{ error }}</li>
                </ul>
            </p>
            <label>Title : </label>
            <input type="text" name="title" ref="title" v-model="title">
            <label>Description : </label>
            <textarea name="description" ref="description" v-model="description"></textarea>
            <input type="submit" value="SUBMIT">
        </form>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                title: '',
                description: '',
                error : [],
                logs : [],
                photoDomain : 'http://localhost:8000'
            },
            methods: {
                validationForm : function(){
                    this.error = []
                    if (this.title.length < 5){
                        this.error.push('Title minimal 5 karakter')
                        this.$refs.title.focus()
                    }
                    
                    if (this.description.length > 10){
                        this.error.push('Desprition tidak boleh lebih dari 10 karakter')
                        this.$refs.description.focus()
                    }
                },
                submitForm : function(){
                    this.validationForm()
                    
                    if(this.error.length === 0){
                        const config = {
                        method : "get",
                        url : "http://demo-api-vue.sanbercloud.com/api/member"
                    }
                    axios(config)
                    .then( (Response) => {
                        this.blogs = Response.data.blogs
                    })
                    .catch( (error) => {
                        console.log(error)
                    })
                        alert('Terima kasih Anda telah mengisi data dengan benar')
                    }
                },
                getBlogs : function(){
                    const config = {
                        method : "get",
                        url : "http://demo-api-vue.sanbercloud.com/api/member"
                    }
                    axios(config)
                    .then( (Response) => {
                        this.blogs = Response.data.blogs
                    })
                    .catch( (error) => {
                        console.log(error)
                    })
                }
            }
        })
    </script>
</body>